> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1repositories 1



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/repositories/{repo_name}
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/repositories/{repo_name}:
    get:
      tags:
        - repositories
      operationId: get_repository
      parameters:
        - name: repo_name
          in: path
          description: Repository name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Repository details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RepositoryInfo'
        '401':
          description: Unauthorized
        '404':
          description: Repository not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    RepositoryInfo:
      type: object
      description: Repository information returned in list and get operations
      required:
        - repo_id
        - name
        - is_public
        - created_at
      properties:
        created_at:
          type: string
          format: date-time
          description: When the repository was created
        description:
          type:
            - string
            - 'null'
          description: Optional description
        is_public:
          type: boolean
          description: Whether this repository is publicly visible
        name:
          type: string
          description: The repository name
        repo_id:
          type: string
          format: uuid
          description: The repository's unique identifier
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````